[Rainmeter]
Update=10
MouseActionCursor=1
BackgroundMode=1

;Metadata added by RainBrowser
;http://rainmeter.net/RainCMS/?q=Rainmeter101_AnatomyOfASkin

[Metadata]
Name=
Config=
Description=
Instructions=
Version=
Tags=
License=
Variant=
Preview=

;End of added Metadata

[Style]
FontSize=10
StringStyle=Normal
StringAlign=right
FontFace=Segoe UI
FontColor=255,71,25
AntiAlias=1

[Style2]
FontSize=14
StringStyle=Normal
StringAlign=right
StringEffect=shadow
FontEffectColor=00,0,0,170
FontFace=Segoe UI
FontColor=255,71,25
AntiAlias=1

[MeasureWinamp]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
Substitute="[Paused]":""," - Winamp":"","[Stopped]":""

[MeasureProgressFull]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 1 105

[MeasureProgressCurrent]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 0 105

[MeasureProgress]
Measure=Calc
Formula=(MeasureProgressCurrent<=0)?0:(MeasureProgressCurrent/(MeasureProgressFull*1000+1)) 

[MeasureTMinute]
Measure=Calc
Formula=((MeasureProgressCurrent / 1000) - ((MeasureProgressCurrent / 1000) % 60)) /60

[MeasureTSecond]
Measure=Calc
Formula=(MeasureProgressCurrent / 1000) % 60 = 60 ? 0 : (MeasureProgressCurrent / 1000) % 60

[MeasureTZero]
Measure=Calc
Formula=(((MeasureProgressCurrent) / 1000) % 60)  < 9 ? 0 : 1
Substitute="1":""

[MeasureRing]
Measure=Calc
Formula=360

[MeterBackGround]
Meter=IMAGE
X=0
Y=0
W=250
H=70
SolidColor=0, 0, 0, 1

[Track]
Meter=STRING
MeasureName=MeasureWinamp
MeterStyle=Style2
W=370
X=420
y=10
ClipString=0

[Play]
Meter=STRING
MeterStyle=Style2
StringAlign=center
FontSize=15
X=452
Y=20
Text="PLAY"
LeftMouseUpAction=!Execute [!RainmeterPluginBang "MeasureWinamp SendMessage 273 40046 0"][!RainmeterHideMeter Play][!RainmeterShowMeter Pause]
Hidden=1

[Pause]
Meter=STRING
MeterStyle=Style2
StringAlign=center
FontSize=13
Text="PAUSE"
LeftMouseUpAction=!Execute [!RainmeterPluginBang "MeasureWinamp SendMessage 273 40046 0"][!RainmeterHideMeter Pause][!RainmeterShowMeter Play]
X=451
Y=21

[ProgressValue]
Meter=STRING
MeterStyle=Style
FontSize=17
MeasureName=MeasureTMinute
MeasureName2=MeasureTZero
MeasureName3=MeasureTSecond
X=410
Y=27
AntiAlias=1
Text="%1:%2%3"

[MeterRoundline]
Meter=ROUNDLINE
MeasureName=MeasureRing
X=450
Y=33
LineWidth=7.0
LineLength=29
LineStart=28
StartAngle=47.55
RotationAngle=6.28
AntiAlias=1
LineColor=255,71,25, 55
Solid=1

[MeterProgress]
Meter=ROUNDLINE
MeasureName=MeasureProgress
X=450
Y=33
LineWidth=7.0
LineLength=31
LineStart=29
StartAngle=6.28
RotationAngle=6.29
AntiAlias=1
LineColor=255,71,25, 200
Solid=1
